# studio::Renderer_Guides Class Reference

`#include <renderer_guides.h>`

Inheritance diagram for studio::Renderer_Guides:

List of all members.

## Public Member Functions

| Renderer_Guides ()
| ~Renderer_Guides ()
std::list< float > & | get_guide_list_x ()
std::list< float > & | get_guide_list_y ()
void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &drawable, const Gdk::Rectangle &expose_area)
bool | event_vfunc (GdkEvent *event)

## Protected Member Functions

bool | get_enabled_vfunc () const

## Constructor & Destructor Documentation

Renderer_Guides::Renderer_Guides | ( |  | ) |

Renderer_Guides::~Renderer_Guides | ( |  | ) |

## Member Function Documentation

std::list< float > & Renderer_Guides::get_guide_list_x | ( |  | ) |

References studio::Duckmatic::get_guide_list_x(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

std::list< float > & Renderer_Guides::get_guide_list_y | ( |  | ) |

References studio::Duckmatic::get_guide_list_y(), and studio::WorkAreaRenderer::get_work_area().

Referenced by render_vfunc().

void Renderer_Guides::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | drawable,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References synfigapp::Action::create(), get_guide_list_x(), get_guide_list_y(), studio::WorkAreaRenderer::get_ph(), studio::WorkAreaRenderer::get_pw(), and studio::WorkAreaRenderer::get_work_area().

bool Renderer_Guides::event_vfunc | ( | GdkEvent * | event | ) | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References studio::WorkAreaRenderer::screen_to_comp_coords().

bool Renderer_Guides::get_enabled_vfunc | ( |  | ) | const`[protected, virtual]`

Reimplemented from studio::WorkAreaRenderer.

References studio::WorkArea::get_show_guides(), and studio::WorkAreaRenderer::get_work_area().

The documentation for this class was generated from the following files:

- renderer_guides.h
- renderer_guides.cpp